Main Page Data Structures File List Data Fields Globals Related Pages

# clib/fossil.c File Reference

`#include <dos.h>`
`#include <stdio.h>`
`#include "fossil.h"`

Go to the source code of this file.

## Defines
#define | FOSSILVECT 0x14
## Functions
int | fossil_init (int port)
void | fossil_deinit (int port)
int | fossil_setbaud (int port, long baudrate, int parity, int wordlen, int stopbits)
int | fossil_putbyte_wait (int port, int ch)
int | fossil_putbyte (int port, int ch)
int | fossil_getbyte_wait (int port)
int | fossil_peek_input (int port)
int | fossil_status_request (int port)
void | fossil_flush_output (int port)
void | fossil_purge_output (int port)
void | fossil_purge_input (int port)
void | fossil_set_flowcontrol (int port, int flowctrl)
unsigned int | fossil_readblock (int port, unsigned char *buffer, unsigned int count)
unsigned int | fossil_writeblock (int port, unsigned char *buffer, unsigned int count)
void | fossil_set_rs485 (int port, int mode)
void | fossil_set_rs485_txenable (int port, int pin)
void | fossil_set_extctrl (int port, int baud_divider, int parity, int wordlen, int stopbits)
int | fossil_get_driver_info (int port, FossilDriverInfo_t *drv_info)
void | fossil_send_break (int port, unsigned char longbreak)
int | fossil_get_bytes_in_uart (int port)

## Define Documentation

#define FOSSILVECT 0x14

| Definition at line 52 of file fossil.c. Referenced by fossil_deinit(), fossil_flush_output(), fossil_get_bytes_in_uart(), fossil_get_driver_info(), fossil_getbyte_wait(), fossil_init(), fossil_peek_input(), fossil_purge_input(), fossil_purge_output(), fossil_putbyte(), fossil_putbyte_wait(), fossil_readblock(), fossil_send_break(), fossil_set_extctrl(), fossil_set_flowcontrol(), fossil_set_rs485(), fossil_set_rs485_txenable(), fossil_status_request(), and fossil_writeblock().

## Function Documentation

void fossil_deinit | ( | int | port | ) |

| Definition at line 87 of file fossil.c. References FOSSILVECT.

void fossil_flush_output | ( | int | port | ) |

| Definition at line 305 of file fossil.c. References FOSSILVECT.

int fossil_get_bytes_in_uart | ( | int | port | ) |

| Definition at line 581 of file fossil.c. References FOSSILVECT.

int fossil_get_driver_info | ( | int | port,
|  | FossilDriverInfo_t * | drv_info
| ) |

| Definition at line 532 of file fossil.c. References FOSSILVECT.

int fossil_getbyte_wait | ( | int | port | ) |

| Definition at line 238 of file fossil.c. References FOSSILVECT.

int fossil_init | ( | int | port | ) |

| Definition at line 64 of file fossil.c. References FOSSILVECT.

int fossil_peek_input | ( | int | port | ) |

| Definition at line 258 of file fossil.c. References FOSSILVECT.

void fossil_purge_input | ( | int | port | ) |

| Definition at line 341 of file fossil.c. References FOSSILVECT.

void fossil_purge_output | ( | int | port | ) |

| Definition at line 323 of file fossil.c. References FOSSILVECT.

int fossil_putbyte | ( | int | port,
|  | int | ch
| ) |

| Definition at line 217 of file fossil.c. References FOSSILVECT.

int fossil_putbyte_wait | ( | int | port,
|  | int | ch
| ) |

| Definition at line 194 of file fossil.c. References FOSSILVECT.

unsigned int fossil_readblock | ( | int | port,
|  | unsigned char * | buffer,
|  | unsigned int | count
| ) |

| Definition at line 390 of file fossil.c. References FOSSILVECT.

void fossil_send_break | ( | int | port,
|  | unsigned char | longbreak
| ) |

| Definition at line 560 of file fossil.c. References FOSSILVECT.

void fossil_set_extctrl | ( | int | port,
|  | int | baud_divider,
|  | int | parity,
|  | int | wordlen,
|  | int | stopbits
| ) |

| Definition at line 503 of file fossil.c. References FOSSILVECT.

void fossil_set_flowcontrol | ( | int | port,
|  | int | flowctrl
| ) |

| Definition at line 368 of file fossil.c. References FOSSILVECT.

void fossil_set_rs485 | ( | int | port,
|  | int | mode
| ) |

| Definition at line 447 of file fossil.c. References FOSSILVECT.

void fossil_set_rs485_txenable | ( | int | port,
|  | int | pin
| ) |

| Definition at line 474 of file fossil.c. References FOSSILVECT.

int fossil_setbaud | ( | int | port,
|  | long | baudrate,
|  | int | parity,
|  | int | wordlen,
|  | int | stopbits
| ) |

| Definition at line 119 of file fossil.c.

int fossil_status_request | ( | int | port | ) |

| Definition at line 286 of file fossil.c. References FOSSILVECT.

unsigned int fossil_writeblock | ( | int | port,
|  | unsigned char * | buffer,
|  | unsigned int | count
| ) |

| Definition at line 416 of file fossil.c. References FOSSILVECT.